View Issue Details

IDProjectCategoryView StatusLast Update
0025532mantisbtrelationshipspublic2019-03-16 20:20
ReporterKirillAssigned Todregad 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025532: Error when adding a relationship if bug id contains whitespace as prefix or suffix
Description

If user paste bug id with last space char and create relationship, he gets error

Invalid value for 'target_issue_id'

Please use the "Back" button in your web browser to return to the previous page. There you can correct whatever problems were identified in this error or select another action. You can also click an option from the menu bar to go directly to a new section.

TagsNo tags attached.

Relationships

related to 0025533 closeddregad When adding multiple relationships, ignore source issue and empty issue ids 

Activities

Kirill

Kirill

2019-02-27 05:47

reporter  

2019-02-27 12_45_53.png (46,533 bytes)
2019-02-27 12_45_53.png (46,533 bytes)
Kirill

Kirill

2019-02-27 06:00

reporter   ~0061587

https://github.com/mantisbt/mantisbt/pull/1470

dregad

dregad

2019-03-02 13:19

developer   ~0061614

Alternative fix in PR https://github.com/mantisbt/mantisbt/pull/1471.

Related Changesets

MantisBT: master c20e9622

2019-03-02 13:11:51

dregad

Details Diff
helper_parse_id(): trim whitespace before processing

Alternative fix for PR https://github.com/mantisbt/mantisbt/pull/1470
as per discussion with @vboctor. Thanks to @Kirill for the original
contribution.

Fixes 0025532
Affected Issues
0025532
mod - core/helper_api.php Diff File

Issue History

Date Modified Username Field Change
2019-02-27 05:47 Kirill New Issue
2019-02-27 05:47 Kirill File Added: 2019-02-27 12_45_53.png
2019-02-27 06:00 Kirill Note Added: 0061587
2019-02-27 06:08 dregad Note View State: 0061587: public
2019-02-27 06:14 dregad Assigned To => community
2019-02-27 06:14 dregad Status new => assigned
2019-02-27 06:16 dregad Target Version => 2.20.0
2019-02-27 06:16 dregad Summary Error create relationship if bug id have space chars as prefix or suffix => Error when adding a relationship if bug id contains whitespace as prefix or suffix
2019-02-27 06:16 dregad Description Updated View Revisions
2019-02-27 07:14 dregad Relationship added related to 0025533
2019-03-02 13:19 dregad Assigned To community => dregad
2019-03-02 13:19 dregad Note Added: 0061614
2019-03-02 15:55 dregad Changeset attached => MantisBT master c20e9622
2019-03-02 15:55 dregad Status assigned => resolved
2019-03-02 15:55 dregad Resolution open => fixed
2019-03-02 15:55 dregad Fixed in Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed